Register a push device

​

Upserts by device token. Re-registering the same token from another account moves it.

Body·

required
application/json
  • The APNs/FCM device token.

  • Device name shown to the user.

Responses

  • application/json
  • application/json
  • application/json
Request Example for post/devices
curl https://api.weddingoperatingsystems.com/api/v1/devices \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "token": "",
  "platform": "ios",
  "environment": "development",
  "appVersion": "",
  "label": ""
}'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "subjectType": "string",
    "subjectId": "string",
    "token": "string",
    "platform": "ios",
    "environment": "development",
    "appVersion": null,
    "label": null,
    "lastSeenAt": null,
    "createdTime": "2026-09-30T06:22:05.746Z",
    "lastEditedTime": "2026-09-30T06:22:05.746Z"
  }
}